/*
  LCD - Library for most LCD charater displays, has common features 
  Copyright (c) 2013 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/  

// Version 1.0 r 2013

#ifndef _H_bv4619_h
#define _H_bv4619_h

#include "Arduino.h"
#include "Wire.h"

class LCD : public TwoWire
{
    public:
        // non-device specific
        LCD(char address);
        void lcd_cls();
        void lcd_rowcol(char row, char col);
        void lcd_cursor(char cv);
        void lcd_print(char *value);
        void lcd_print(int value);
        void lcd_bl(char red, char green, char blue);
        void lcd_defcust(char position, char *definition);
        void lcd_printcust(char address);
        int lcd_getkey();
        int lcd_keybuf();
        void lcd_keyclear();
    private:
        char _i2adr;
        int i2_16bit();
};


#endif