// Example of how to use the LCD library with the BV4619.
// bv4619_S serial interface
// bv4619_I I2C interface

#include <Wire.h>
#include <bv4619_I.h> // defines LCD

// These are the A pins
// A5 = SCL
// A4 = SDA

// constructor defines pins and the address of the device
// in this case 'r'
LCD disp(0x39);

void setup()  {

}

// This is the display example, there is also a separate
// key pad example in this sketch
void display() 
{
// example of custom charatcers
char custom0[]={4,10,21,4,4,4,4,4}; // up arrow
char custom1[]={0,0,1,2,20,8,0,0}; // tick
  // example of defining above custom characters
  disp.lcd_defcust(0,custom0);
  disp.lcd_defcust(1,custom1);
  
  disp.lcd_cls(); // clear display
  disp.lcd_print("First Line");
  disp.lcd_rowcol(1,0);
  disp.lcd_print("Second Line:");
  disp.lcd_print(77); // prints a number
  disp.lcd_printcust(1); // print a tick
  delay(2000);

  // now go through some back light colours
  while(1) {
    disp.lcd_cls();
    disp.lcd_bl(10,0,0);
    disp.lcd_print("Red");
    delay(1500);
    disp.lcd_cls();
    disp.lcd_bl(0,10,0);
    disp.lcd_print("Green");
    delay(1500);
    disp.lcd_cls();
    disp.lcd_bl(0,0,10);
    disp.lcd_print("Blue");
    delay(1500);
  }
}

// This is the keypad example that also uses the display to 
// present the results
void keypad() {
int k;
  disp.lcd_cls();
  disp.lcd_bl(10,10,10);
  disp.lcd_print("Kepad test");
  disp.lcd_rowcol(1,0);
  disp.lcd_print("Scan Code:");
  while(1) {
    k = disp.lcd_getkey();
    if(k != 0) {
      disp.lcd_rowcol(1,11);
      disp.lcd_print("   "); // clears previous
      disp.lcd_rowcol(1,11);
      disp.lcd_print(k);
    }
    delay(500);
  }
}

// This sketch contains two examples, one for the display
// and the other for the keypad and display combined
// rem out and upload as required
void loop() {
  display();
//  keypad();
}



